

function [Theta,Eta] = gtFindAngles_pair(struct_id, pair, grainx, grainy, grainz, omega, parameters);




if isempty(parameters)
  load('parameters.mat');
end
%calculate Theta angle between grain position (x,y,z) and difspot of
%struct_id
%struct_id can be a vector...
%omega should be input in degrees
%output angles are in degrees
%pair - 1 for this dataset, 2 if struct_id refers to the pair

omega=omega*pi/180;%convert to radians

for i=1:length(struct_id)
  
%mysqlcmd=sprintf('select Xcentroid from %sbboxes inner join %sbb on bbID=bboxID where %sbb.extspotID=%d',...
%	parameters.acq.name,parameters.acq.name,parameters.acq.name,struct_id(i))
%xdirect(i)=parameters.acq.bb(1)+mym(mysqlcmd);

[bb,cent]=gtGetBBProps_pair(struct_id(i), pair(i));
CentroidX=cent(1);
xdirect(i)=parameters.acq.bb(1) + CentroidX;
ydirect(i)=parameters.acq.bb(2)+grainz;

if pair(i) == 2
  name = parameters.acq.pair_name;
elseif pair(i) == 1
name=parameters.acq.name;
else
  error('need to specify which half of scan (pair=1 or 2)')
  return
end

mysqlcmd=sprintf('select CentroidX,CentroidY from %sdifspot where difspotID=%d',name,struct_id(i));
[xdiffr(i),ydiffr(i)]=mym(mysqlcmd);

end


r=sqrt((xdirect-xdiffr).^2+(ydirect-ydiffr).^2);

grain2rot=sqrt((grainx-parameters.acq.bb(3)/2).^2+(grainy-parameters.acq.bb(3)/2).^2);
angle=atan2(parameters.acq.bb(3)/2-grainy,grainx-parameters.acq.bb(3)/2);

dz=grain2rot.*sin(-omega+angle)+parameters.acq.dist/parameters.acq.pixelsize;

Theta=((atan(r./dz))/2)*180/pi;

Eta=atan2((xdiffr-xdirect),(ydirect-ydiffr))*180/pi;

dummy= find(Eta<0);
  Eta(dummy)=360+Eta(dummy);

end
