function [bb,centroid]=gtGetBBProps_pair(struct_id, pair, bbtype)
% usage: [bb,centroid]=gtGetBBProps(struct_id);  % to get best bbox available
%    or  [bb,centroid]=gtGetBBProps(struct_id,'search');  % to get search bbox
% pair: 1 for this scan, 2 if the struct_id refers to the pair dataset 
parameters=[];

if isempty(parameters)
  disp('Loading parameter file')
  load('parameters.mat');
end


if pair == 2
  name_root = parameters.acq.pair_name;
elseif pair == 1
name_root=parameters.acq.name;
else
  Error('Need to specify "pair" as 1 or 2 - ak 1/2007')
return
end

if exist('bbtype','var')
  % if specified, use the searchBB explicitly.
  disp('Using search bounding box')

  mysqlcmd=sprintf(...
    'select searchbbID from %sextspot where extspotID=%d',...
    name_root,struct_id);
  searchbboxID=mym(mysqlcmd);

  mysqlcmd=sprintf(...
    'select Xorigin, Yorigin, Xsize, Ysize,Xcentroid,Ycentroid from %sbboxes where bboxID=%d',...
    name_root,...
    searchbboxID);


else
  % otherwise, use the bbview to return the best bounding box (and
  % centroid)

  mysqlcmd=sprintf(...
    'select Xorigin,Yorigin,Xsize,Ysize,Xcentroid,Ycentroid from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID where %sbb.extspotID = %d', ...
    name_root,...
    name_root,...
    name_root,...
    name_root,...
    name_root,...
    struct_id);
end

[bb(1),bb(2),bb(3),bb(4),centroid(1),centroid(2)]=mym(mysqlcmd);




%%get snake if possible, else use difspot silhouette
%if mym(sprintf('select !isnull(bbID) from %sextspot where extspotID=%d',parameters.acq.name,struct_id)) == true;