function Omega = gtGetOmega_360(pair_ids)
%get the omega angles corresponding to MaxImage of struct_ids vector
%if there is a difA spot - omega is in range 0-180,
%else if only a difB spot then omega will be in range 180-360
%returns angle in DEGREES!

%change to database query
parameters=[];
acq=parameters.acq;%to shorten sprintfs!
Omega=[];


for i=1:length(pair_ids)
  
  mysqlcmd = sprintf(['select ifnull(%sdifspot.MaxImage,%sdifspot.MaxImage+%d) '...
    'from %s left join %sdifspot on difAID=%sdifspot.difspotID '...
    'left join %sdifspot on difBID=%sdifspot.difspotID '...
    'where %s.pairID=%d'],...
    acq.difA_name, acq.difB_name, acq.nproj,...
    acq.pair_tablename,  acq.difA_name, acq.difA_name,...
    acq.difB_name, acq.difB_name,...
    acq.pair_tablename,pair_ids(i));
  
  Omega(i) = mym(mysqlcmd);

end

Omega = 180*(Omega./parameters.acq.nproj);

end