function im=gtGetSummedExtSpot_pair(struct_id,pair,varargin)
% returns the summed full extinction spot image
% conversion to database complete
%pair = 1 this dataset, pair = 2 pair dataset

parameters=[];

if isempty(parameters)
  disp('Loading parameter file')
  load('parameters.mat');
end

% connect to database
connected=0;
if ~isempty(varargin)
	connected=varargin{1};
end
if ~connected
gtDBConnect
end

warning('contains proper bodged bb faffing, make nice after rerunning autofind')

%get the name for this scan, or the pair dataset
if pair == 2
  name=parameters.acq.pair_name;
elseif pair ==1
  name=parameters.acq.name;
end
%path for reading images (assume pair directory is in same parent
%directory)
path=sprintf('../%s/',name);


[bb(1),bb(2),bb(3),bb(4)]=mym(sprintf('select Xorigin,Yorigin,Xsize,Ysize from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID where %sbb.extspotID = %d', ...
  name, name, name, name, name, ...
  struct_id));

%get snake if possible, else use difspot silhouette
if mym(sprintf('select !isnull(bbID) from %sextspot where extspotID=%d',...
    name, struct_id)) == true;

%put snake relative to boundingbox
mysqlcmd=sprintf('select x,y from %ssnakes where snakeID=%d', name, struct_id);

[snakex,snakey]=mym(mysqlcmd);
snakex = snakex - floor(bb(1));
snakey = snakey - floor(bb(2));
mask = poly2mask(snakex, snakey, bb(4), bb(3));



else
  disp('Not using snake')
%if we don't have a snake
summeddif=gtGetSummedDifSpot_pair(struct_id, pair);

%change all this - save snake input in table during autofind, and reread
%after.  This recreation is stupuid
summeddif_bw=summeddif>0.25*max(summeddif(:));
summeddif_bw=bwmorph(summeddif_bw,'spur',inf);
summeddif_bw=bwmorph(summeddif_bw,'erode',1);
mask=bwmorph(summeddif_bw,'dilate',1);
%%crop mask here
tmp2=regionprops(double(mask),'BoundingBox');
tmp2=tmp2.BoundingBox;
  
tmp2=ceil(tmp2);%gt convention

mask = gtCrop(mask,tmp2);
bb(3:4)=tmp2(3:4);%change this!


end

%put BoundingBox into coordinates of the full image
%not needed if using ext images, only if using the middle bit of fulls
%bb(1) = ceil(bb(1) + parameters.acq.bb(1));
%bb(2) = ceil(bb(2) + parameters.acq.bb(2));

im=zeros(bb(4), bb(3));

mysqlcmd=sprintf('select ExtStartImage,ExtEndImage from %sdifspot where difspotID=%d',name,struct_id);
[first,last]=mym(mysqlcmd);

%can have a problem because extspot bb extends beyond the edge of the ext image,
%which has the size of parameters.acq.bb
if bb(2)+bb(4) > parameters.acq.bb(4)
  bb(4) = parameters.acq.bb(4)-bb(2);
end
if bb(1)+bb(3) > parameters.acq.bb(3)
  bb(3) = parameters.acq.bb(3)-bb(1);
end
tmp_im=zeros(bb(4), bb(3)); % cropped image size

for i=first:last
  tmp_im = tmp_im + edf_read(sprintf('%s/1_preprocessing/ext/ext%04d.edf',path,i), bb);
end

im=gtPlaceSubImage(tmp_im, im, 1, 1); % put the cropped image back into the correct size

%apply mask , either from snake or from difspot silhouette
im = im.*mask;


