%
% out=gtIsPointInSample(pcoord,sample_rad,sample_top,sample_bot,thr_geo)
%
% True, if the given in point is inside the illuminated cylindrical sample
% volume. It works in LAB or Sample system.
%
% INPUT   pcoord = [X,Y,Z] coordinates of the point
%         sample.rad = sample radius
%         sample.top = top of the sample
%         sample.bot = bottom of sample
%         tol_geo = geometrical tolerance (normally pos.)
%       
%         /all the input parameters must be in the same system and units/
%
% OUTPUT  out = true if the given point is in the sample
%

function out=gtIsPointInSample(pcoord,sample,tol)

out1=(pcoord(:,3) < sample.top+tol.geo) & (pcoord(:,3) > sample.bot-tol.geo);
out2=(sqrt(pcoord(:,1).*pcoord(:,1)+pcoord(:,2).*pcoord(:,2)) < sample.rad+tol.geo);

out=(out1&out2);

end % of function
