%
% Seperated from gtHandleSpot_360.

function s = gtMakeGrain(sino, Omega, x_grain, y_grain, plot_flag)

    %back project good spots only
   
	binsino = sino>0.1*max(sino(:));
    img2=backpro(binsino,(pi/180)*Omega);

    
    
	%do imreconstruct from centre to threshold grain
    x_grain = ceil(x_grain); y_grain = ceil(y_grain);
    marker=zeros(size(img2));
    marker(y_grain, x_grain)=1;
    mask=double((img2>0.8*img2(y_grain, x_grain)));
    mask=imfill(mask,'holes');
	
    try
      grain=imreconstruct(marker,mask);    
      if plot_flag
        figure
        h1=imshow(cat(3,img2,zeros(size(img2)),zeros(size(img2))),[]);
        hold on
        h2=imshow(cat(3,zeros(size(img2)),grain,zeros(size(img2))),[]);
        set(h2,'alphadata',0.5);
      end
      s=regionprops(grain,'Area','BoundingBox','Centroid');
    
    catch
      disp('Marker/mask problem - bombed out')
      accept=false;
      s=[];
      return
    end


end
