function [Theta,Eta,Omega]=gtPredictAngles_Si(normal, hkl)

%calculates the Omega position at which diffraction will occur from a plane
%defined by its plane normal and hkl type [h k l]

%30/10/2006 - modify to follow change in gtConsistancyCheck, and to produce
%only the theta/eta/omega from the plane normal (not its inverse as well)

%_Si - simplified version - no parameters.mat
%hard code stuff
disp('hard coded variables - change in gtPredictAngles_Si')
energy=40.2837
latticepar=5.431

%put plane normal in cylindrical polar coords
length = sqrt(normal(1)^2 + normal(2)^2);
alpha = atan2(normal(2), normal(1));
vert = normal(3);

%calc Theta for diffraction
lambda = 12.398/energy;
d=latticepar/sqrt(hkl*hkl');

Theta = asin(lambda/(2*d));

%try
  %produce Omega angles 
  if ((cos((pi/2)-Theta))/length)<=1
  temp(1) = acos((cos((pi/2)-Theta))/length);
  temp(2) = -temp(1);
  Omega = alpha + pi + temp;
  else
    disp('no diffraction from this plane normal!')
    Theta=[];
    return
  end
  
  %calc Eta, make Theta to output
  %in our convention, Eta is measured clockwise from vertical on the
  %images.
  
  alpha2 = alpha - Omega;%plane normal angles at diffraction

  y = length*sin(alpha2);
  x = length*cos(alpha2);
 
  Eta = atan2(y,vert);%this was y, now +ve because of 'looking into beam" sense
  Theta(1:2) = Theta(1);%all Thetas are the same
  
 
  
  %put all in -(1/2)*pi - (3/2)*pi interval
  dummy = find(Omega<-pi/2);
  Omega(dummy) = Omega(dummy) + (2*pi);
  dummy = find(Omega>((1.5)*pi));
  Omega(dummy) = Omega(dummy) - (2*pi);
 
  %dummy = find(Eta<0);
  %Eta(dummy) = Eta(dummy) + (2*pi);
  %dummy = find(Eta>(2*pi));
  %Eta(dummy) = Eta(dummy) - (2*pi);
   
  %put in degrees for human users
  Omega = Omega*180/pi;
  Theta = Theta*180/pi;
  Eta = Eta*180/pi;

%catch%if no solutions
%  disp('no diffraction from this plane normal!')
%end




