%predict positions of spots in images

%_Si  - simpler version.  relative to "grain" at center of image and on
%rotation axis, predict image coordinates from eta, theta

%Marcelo, Andy, 30/10

function [x_diffr,y_diffr] = gtPredictPositions_Si(Theta, Eta)

disp('hard coded distance and pixel size in gtPredictPositions_Si')
distance=11.452
pixelsize=0.0024

%convert to radians
Theta=Theta*pi/180;
Eta=Eta*pi/180;


%diffraction spot position
% radius on the screen (in pixels) with the corrected distance from the sample to the
% detector (y in sample coordinates) with the omega offset
radius = tan(2*Theta).*(distance/pixelsize);

x_diffr =  1024 + (radius.*sin(Eta)); % spot position (x position) in the screen 
y_diffr = 1024 - (radius.*cos(Eta)); % vertical coordinate on the screeen
disp('there might be a problem with this! but I dont know why...')


%round to integer values
x_diffr = round(x_diffr);
y_diffr = round(y_diffr);

