function [extstack,sino,centerslice,bb,index]=gtReadExtRoi_360(grain,parameters); 

np=length(grain.difspots);

for j=1:np
     % get lab system grain COM Coordinates from grain structure (produced by PEter's
     % Indexing)
% 	 grain.center(1)=grain.ycenter-parameters.acq.bb(3)/2;   % not very elegant: transform back for compatibility with calls of gtReadextroi outside of gtINWriteGrainFolder...
% 	 grain.center(2)=grain.xcenter-parameters.acq.bb(3)/2;
% 	 grain.center(3)=parameters.acq.ydet/2-parameters.acq.bb(2)-grain.zcenter;
	
     [xl,yl,zl]=gtTrSamToLab(grain.center(1),grain.center(2),grain.center(3),grain.omega(j));
	 xim = yl+ parameters.acq.bb(3)/2;   % grain COM coordinates in the direct beam images   (assumes center of rotation in the center of the beam)
 	 yim = parameters.acq.ydet/2-zl-parameters.acq.bb(2);
	
	 
	 % get Boundingbox sizes and integration range from all difspots
	 mymcmd=sprintf('select BoundingBoxXSize, BoundingBoxYSize, ExtStartImage, ExtEndImage, StartImage, EndImage, Integral  from %sdifspot where difspotID=%d',parameters.acq.name,grain.difspots(j));
	 [bbxs,bbys,startndx,endndx,difstartndx,difendndx,int]=mym(mymcmd);
	 difbb(j,1)=max(1,round(xim-bbxs/2)); 
	 difbb(j,2)=max(1,round(yim-bbys/2));
	 
	 bbxs=round(bbxs*1.1);  %add 10% margin to bb
	 bbys=round(bbys*1.1);
	 integral(j)=int;
	 ndx(j,:)=[startndx,endndx];
	 difndx(j,:)=[difstartndx, difendndx];
	 range(j)=endndx-startndx+1;
	 difrange(j)=difendndx-difstartndx+1;
	 bb(j,1)=max(1,round(xim-bbxs/2));    % horizontal start of bb in Ext image
	 hend=min(parameters.acq.bb(3),bb(j,1)+bbxs-1);  % limit horizontal extend to size of Ext image...
	 bb(j,3)=hend-bb(j,1)+1;
	 
	 bb(j,4)=bbys;               

	 
end	 

% vertical bounds are identical for all extspots
vertsize=mean(bb(:,4));   % first estimate of vertical size from average vertical size in difspots
vertbeg=max(1,round(yim-vertsize/2));
bb(:,2)=repmat(vertbeg,np,1);                         
vertend=min(parameters.acq.bb(4),round(yim+vertsize/2));
vertsize=vertend-vertbeg;  % update vertical size of bb, taking into account finite size of ext image
bb(:,4)=repmat(vertsize,np,1);
centerslice=round(vertbeg+0.5*vertsize);



% now read and sum under bb mask
extstack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),np);
difstack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),np);

tmp=zeros(parameters.acq.bb(4),parameters.acq.bb(3));
meanint=mean(integral);

for j=1:np
  % get summed diffraction spot
  %dif=gtGetSummedDifspot(grain.difspots(j),parameters,1);
  %difstack(:,:,j)=gtPlaceSubImage(dif,tmp,difbb(j,1),difbb(j,2));
  %difstack(:,:,j)=meanint*difstack(:,:,j)/integral(j);
  im=zeros(bb(j,4),bb(j,3));
  for k=1:difrange(j)
	im = im+edf_read(sprintf('%s/1_preprocessing/ext/ext%04d.edf',parameters.acq.dir,difndx(j,1)+k-1),bb(j,:));
  end
 
  % place back into ext image and normalize with meanintensity of difspots
  
  extstack(:,:,j)=gtPlaceSubImage(im,tmp,bb(j,1),bb(j,2));
  extstack(:,:,j) = meanint*extstack(:,:,j)/integral(j);
end

index=ones(1,np);    % think of some clever rejection of outliers here....

sino=squeeze(extstack(centerslice,:,:));

