function [ext,sino,centerslice,bb,index]=gtReadExtRoi_360(grain,parameters); 

np=length(grain.difspots);
vsizemax=0;
hsizemax=0;
avgint=grain.stat.intmean;

for j=1:np
    
  % get lab system grain COM Coordinates 
	 [xl,yl,zl]=gtTrSamToLab(grain.center(1),grain.center(2),grain.center(3),grain.omega(j));
	 uim = yl+ parameters.acq.bb(3)/2+0.5;   % grain COM coordinates in the direct beam images   (assumes looking into the beam, center of rotation in the center of the beam)
 	 vim = parameters.acq.ydet/2-zl-parameters.acq.bb(2)+0.5;
	
	 
	 % get Boundingbox sizes and integration range from all difspots
	 mymcmd=sprintf('select BoundingBoxXSize, BoundingBoxYSize, ExtStartImage, ExtEndImage, StartImage, EndImage, Integral,Area  from %sdifspot where difspotID=%d',parameters.acq.name,grain.difspots(j));
	 [bbxs,bbys,startndx,endndx,difstartndx,difendndx,int,area]=mym(mymcmd);
	 
	 
	 bbxs=round(bbxs*1.25);  %add 25% margin to bb
	 bbys=round(bbys*1.25);
	 
     vsizemax=max(vsizemax,bbys);
     hsizemax=max(hsizemax,bbxs);
	 
	 integral(j)=int;
	 ndx(j,:)=[startndx,endndx];
	 difndx(j,:)=[difstartndx, difendndx];
	 range(j)=endndx-startndx+1;
	 difrange(j)=difendndx-difstartndx+1;
	 bb(j,1)=max(1,round(uim-bbxs/2));    % horizontal start of bb in Ext image
	 hend=min(parameters.acq.bb(3),bb(j,1)+bbxs-1);  % limit horizontal extend to size of Ext image...
	 bb(j,3)=hend-bb(j,1)+1;
	 
	 bb(j,4)=bbys;               
     mym(gtDBUpdate(sprintf('%sdifspot', parameters.acq.name),'ExtBBXorigin',bb(j,1),'ExtBBYorigin',bb(j,2),'ExtBBXsize',bb(j,3),'ExtBBYsize',bb(j,4)));
	 
end	 

% vertical bounds should be identical for all extspots
vertsize=mean(bb(:,4));   % first estimate of vertical size from average vertical size in difspots
vertbeg=max(1,round(vim-vertsize/2));
bb(:,2)=repmat(vertbeg,np,1);                         
vertend=min(parameters.acq.bb(4),round(vim+vertsize/2));
vertsize=vertend-vertbeg+1;  % update vertical size of bb, taking into account finite size of ext image
bb(:,4)=repmat(vertsize,np,1);
centerslice=round(vertbeg+0.5*vertsize);



% now read and sum under bb mask
extstack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),np);
%difstack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),np);

tmp=zeros(parameters.acq.bb(4),parameters.acq.bb(3));
tmp2=zeros(vsizemax,hsizemax);
ext=zeros(vsizemax,hsizemax,1,np);
meanint=mean(integral);

for j=1:np
  % get summed diffraction spot
  %dif=gtGetSummedDifspot(grain.difspots(j),parameters,1);
  %difstack(:,:,j)=gtPlaceSubImage(dif,tmp,difbb(j,1),difbb(j,2));
  %difstack(:,:,j)=meanint*difstack(:,:,j)/integral(j);
  im=zeros(bb(j,4),bb(j,3));
  for k=1:range(j)
	im = im+edf_read(sprintf('%s/1_preprocessing/ext/ext%04d.edf',parameters.acq.dir,ndx(j,1)+k-1),bb(j,:));
  end
 
  
  % place back into ext image and normalize with meanintensity of difspots
  
  im=im.*(im>0);
  im=avgint*im/sum(im(:));
  
  
  hstart=floor((hsizemax-size(im,2))/2+1);
  vstart=floor((vsizemax-size(im,1))/2+1);
  ext(:,:,1,j)=gtPlaceSubImage(im,tmp2,hstart,vstart);
  

  extstack(:,:,j)=gtPlaceSubImage(im,tmp,bb(j,1),bb(j,2));
  
  %extstack(:,:,j) = meanint*extstack(:,:,j)/sum(sum(extstack(:,:,j).*(extstack(:,:,j)>0)));
  name=sprintf('4_grains/grain%d_/extspot%d',grain.id,j);
  sdt_write(name,fliplr(extstack(:,:,j)),'float32');  % flipping because we look into the beam....
  
end


% only consider strong spots
index=ones(np,1);
sino=squeeze(extstack(centerslice,:,:));

