function [r_vectors, positions] = gtReadGrains(phaseid)
%     [r_vectors, positions] = gtReadGrains(phaseid)
%     ----------------------------------------------
%     Reads from the 4_grains/phase_## folder
%     r_vectors = [grainid rx ry rz]
%     positions = [grainid grainx grainy grainz grainsize]

r_vectors  = [];
positions  = [];

% how many grains in the sample?
sample = [];
load(fullfile('4_grains','sample.mat'),'sample');
maxgrainid = length(sample.phases{phaseid}.grains);

tmp = sample.phases{phaseid};
for grainid = 1 : maxgrainid
    r_vectors(grainid,:) = [grainid tmp.R_vector(grainid,:)];
    grainsize =  ( tmp.boundingBox(grainid,4) + tmp.boundingBox(grainid,4) + tmp.boundingBox(grainid,4) ) / 3;
    positions(grainid,:) = [grainid tmp.center(grainid,:) grainsize];
end

save(fullfile('4_grains',sprintf('phase_%02d',phaseid),'r_vectors.mat'),'r_vectors');
save(fullfile('4_grains',sprintf('phase_%02d',phaseid),'positions.mat'),'positions');

end % end of function
