function [stack,sino,z_of_sino] = gtReadSpots(spot_id, struct_ids)
% function [stack,sino,z_of_sino,varargout]=read_spots(struct_ids)
% produce sinogram of all spots in struct_ids vector at the mid-height
% of the seed spot (spot_id).
% optional output argument orig holds original projection (Max)images for verification
%could add orig, not currently supported

%database enable!

parameters=[];
if isempty(parameters)
  load('parameters.mat');
end




stack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),length(struct_ids));

z_of_sino = mym(sprintf(...
  'select ceil(Yorigin + (Ysize/2)) from %sbb inner join %sbboxes on %sbb.bbID = %sbboxes.bboxID where %sbb.extspotID = %d',...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  spot_id));

%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
% consider 15 pixel shift - s5_dct5_ only
%warning('15 pixel shift (s5_dct5_ only) active in gtReadSpots')
%spot_Omega = (180/pi)*gtGetOmega(spot_id);
%if spot_Omega>120
%z_of_sino = z_of_sino-15;
%end

Omega = (180/pi)*gtGetOmega(struct_ids);%convert to degrees
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

%read images to produce sinogram at position z_of_sino
for i=1:length(struct_ids)
  
  [BoundingBox(1),BoundingBox(2)] = mym(sprintf('select Xorigin,Yorigin from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID where %sbb.extspotID = %d',...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    struct_ids(i)));
  
  im = gtGetSummedExtSpot(struct_ids(i),1);% - 1 - already connected
  warning('bodge - change zero origin bounding boxes in gtReadSpots - fix in autofind')
  if BoundingBox(1)==0
    BoundingBox(1)=1;
  end
  if BoundingBox(2)==0
    BoundingBox(2)=1;
  end
  
  %place in stack
  stack(:,:,i) = gtPlaceSubImage(im, zeros(parameters.acq.bb(4), parameters.acq.bb(3)),ceil(BoundingBox(1)), ceil(BoundingBox(2)));
  
  %!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  %15 pixel offset - apply here
 % warning('15 pixel shift (s5_dct5_ only) active in gtReadSpots')
 % if(Omega(i)>120);%these need to be shifted by -15
 % stack(1:end-15,:,i) = stack(16:end,:,i);
 % stack(end-14:end,:,i) = zeros(15,parameters.acq.bb(3));%write zeros over the last 15 pixels
 % end
  %!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  
  stack(:,:,i)= 100*stack(:,:,i)/sum(sum(stack(:,:,i)));  % think about some proper scaling here !

  %read sino from stack
  sino(:,i) = stack(z_of_sino, :, i);

end

end
