function [stack,sino,z_of_sino] = gtReadSpots_grain(grainid)
% function [stack,sino,z_of_sino,varargout]=read_spots(struct_ids)
% produce sinogram of all spots in struct_ids vector at the mid-height
% of the seed spot (spot_id).
% optional output argument orig holds original projection (Max)images for verification
%could add orig, not currently supported

%can be used to "refresh" stack!

%database enable!

parameters=[];
if isempty(parameters)
  load('parameters.mat');
end

grain_data=load(sprintf('4_grains/grain%d_/grain%d_.mat',grainid,grainid))
struct_ids=grain_data.struct_ids;
spot_id=struct_ids(1);%the first of the stack...


stack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),length(struct_ids));

%if it doesn't already exist, add an index of replaced projections
if isfield(grain_data,'replaced')
  replaced = logical(grain_data.replaced);
else
  replaced = logical(zeros(length(struct_ids),1));  
  save (sprintf('4_grains/grain%d_/grain%d_.mat',grainid,grainid), 'replaced', '-append') 
end


z_of_sino = mym(sprintf(...
  'select ceil(Yorigin + (Ysize/2)) from %sbb inner join %sbboxes on %sbb.bbID = %sbboxes.bboxID where %sbb.extspotID = %d',...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  parameters.acq.name,...
  spot_id));



%read images to produce sinogram at position z_of_sino
for i=1:length(struct_ids)
  
  if replaced(i)==0
  [BoundingBox(1),BoundingBox(2)] = mym(sprintf('select Xorigin,Yorigin from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID where %sbb.extspotID = %d',...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    struct_ids(i)));
  
  im = gtGetSummedExtSpot(struct_ids(i));
  %place in stack
  stack(:,:,i) = gtPlaceSubImage(im, zeros(parameters.acq.bb(4), parameters.acq.bb(3)),ceil(BoundingBox(1)), ceil(BoundingBox(2)));
  
  stack(:,:,i)= 100*stack(:,:,i)/sum(sum(stack(:,:,i)));  % think about some proper scaling here !

  %read sino from stack
  sino(:,i) = stack(z_of_sino, :, i);

  elseif replaced(i)==1
  [BoundingBox(1),BoundingBox(2)] = mym(sprintf('select Xorigin,Yorigin from %sbboxes inner join %sextspot on SearchbbID=bboxID where %sbboxes.extspotID = %d',...
    parameters.acq.name,...
    parameters.acq.name,...
    parameters.acq.name,...
    struct_ids(i)));
  
  warning('bodge because some SearchBoundingBoxes have zero origins')
  if BoundingBox(1)==0
    BoundingBox(1)=1;
  end
  if BoundingBox(2)==0
    BoundingBox(2)=1;
  end
  
  im=edf_read(sprintf('2_difspot/difspot%05d.edf',struct_ids(i)));
  disp('Using transpose of summed dif image')
  im=transpose(im);
  disp('Transposing difspot')
  
  %place in stack
  stack(:,:,i) = gtPlaceSubImage(im, zeros(parameters.acq.bb(4), parameters.acq.bb(3)),ceil(BoundingBox(1)), ceil(BoundingBox(2)));
  stack(:,:,i)= 100*stack(:,:,i)/sum(sum(stack(:,:,i)));  % think about some proper scaling here !
  %read sino from stack
  sino(:,i) = stack(z_of_sino,:,i);
  
end
  
end


save(sprintf('4_grains/grain%d_/grain%d_.mat',grainid,grainid),'stack','-append')