function [stack,sino,z_of_sino] = gtReadSpots_pair(spot_id, struct_ids,pair,pair_vector,replaced)
% function [stack,sino,z_of_sino,varargout]=read_spots(struct_ids)
% produce sinogram of all spots in struct_ids vector at the mid-height
% of the seed spot (spot_id).
%pair, pair_vector (1 for currect dataset, 2 for pair dataset)
%replaced: 0=use extspots, 1=replace all with difspots (like WriteStack_replaced)

%database enable!

parameters=[];
if isempty(parameters)
  load('parameters.mat');
end



stack=zeros(parameters.acq.bb(4),parameters.acq.bb(3),length(struct_ids));

%get the z position for the sinogram
if pair == 2
  name=parameters.acq.pair_name;
elseif pair ==1
  name=parameters.acq.name;
end
z_of_sino = mym(sprintf(...
  'select ceil(Yorigin + (Ysize/2)) from %sbb inner join %sbboxes on %sbb.bbID = %sbboxes.bboxID where %sbb.extspotID = %d',...
  name,name,name,name,name,...
  spot_id));

  
Omega = (180/pi)*gtGetOmega_pair(struct_ids,pair_vector, parameters);%convert to degrees


%read images to produce sinogram at position z_of_sino
for i=1:length(struct_ids)

  if pair_vector(i) == 2
  name=parameters.acq.pair_name;
elseif pair_vector(i) ==1
  name=parameters.acq.name;
  end

  
  if ~replaced
  
  [BoundingBox(1),BoundingBox(2)] = mym(sprintf('select Xorigin,Yorigin from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID where %sbb.extspotID = %d',...
    name,name,name,name,name,...
    struct_ids(i)));
  
  im = gtGetSummedExtSpot_pair(struct_ids(i), pair_vector(i) ,1);% - 1 - already connected
  warning('bodge - change zero origin bounding boxes in gtReadSpots - fix in autofind')
  if BoundingBox(1)==0
    BoundingBox(1)=1;
  end
  if BoundingBox(2)==0
    BoundingBox(2)=1;
  end
  
  %place in stack
  stack(:,:,i) = gtPlaceSubImage(im, zeros(parameters.acq.bb(4), parameters.acq.bb(3)),ceil(BoundingBox(1)), ceil(BoundingBox(2)));  
  %scaling
  stack(:,:,i)= 100*stack(:,:,i)/sum(sum(stack(:,:,i)));  % think about some proper scaling here !

  else %if replacing extspots with difspots
  
    BoundingBox=gtGetBBProps_pair(struct_ids(i), pair_vector(i));
    im = gtGetSummedDifSpot_pair(struct_ids(i), pair_vector(i));
    warning('bodge - change zero origin bounding boxes in gtReadSpots - fix in autofind')
  if BoundingBox(1)==0
    BoundingBox(1)=1;
  end
  if BoundingBox(2)==0
    BoundingBox(2)=1;
  end
  
  %place in stack
  stack(:,:,i) = gtPlaceSubImage(im, zeros(parameters.acq.bb(4), parameters.acq.bb(3)),ceil(BoundingBox(1)), ceil(BoundingBox(2)));
  %scaling
  stack(:,:,i)= 100*stack(:,:,i)/sum(sum(stack(:,:,i)));  % think about some proper scaling here !
 
  end
  
  %read sino from stack
  sino(:,i) = stack(z_of_sino, :, i);

end

end
