function spot_viewer(struct_ids, pairs, theta, eta, hkl, parameters)
%show the relevant full images, marking the dif and ext spots
%theta, eta, hkl just for comments, not used by the function


%load data 
if isempty(parameters)
  load('parameters.mat');
end

for i=1:length(struct_ids)
  
  if pairs(i)==1
    name=parameters.acq.name  
  else
    name=parameters.acq.pair_name
  end
  
      [im,x,y]=mym(sprintf('select MaxImage,CentroidX,CentroidY from %sdifspot where difspotID=%d',name,struct_ids(i)));
     if i==1
      full=edf_read(sprintf('../%s/1_preprocessing/full/full%04d.edf',name,im));

  imshow(full,[])
  hold on
     end
     switch hkl(i,1)
       case 1
  plot(x,y,'x')
       case 0
         plot(x,y,'o')
       case 2
         plot(x,y,'xr')
       case 3
         plot(x,y,'or')
     end
         
  
  %plot the extspot position that the difspot has been linked to by
  %autofind
[bb,centroid]=gtGetBBProps_pair(struct_ids(i), pairs(i))

plot(parameters.acq.bb(1)+bb(1),parameters.acq.bb(2)+bb(2),'ro')
plot(parameters.acq.bb(1)+bb(1)+bb(4),parameters.acq.bb(2)+bb(2)+bb(4),'ro')

     switch hkl(i,1)
       case 1
  plot(parameters.acq.bb(1)+centroid(1),parameters.acq.bb(2)+centroid(2),'x')
       case 0
         plot(parameters.acq.bb(1)+centroid(1),parameters.acq.bb(2)+centroid(2),'o')
       case 2
         plot(parameters.acq.bb(1)+centroid(1),parameters.acq.bb(2)+centroid(2),'xr')
       case 3
         plot(parameters.acq.bb(1)+centroid(1),parameters.acq.bb(2)+centroid(2),'or')
     end


disp(sprintf('should be theta=%f, eta=%f, (%d %d %d)',theta(i),eta(i),hkl(i,1:3)))
  
 % k=waitforbuttonpress;
  %close
end