function max_coords=plot_rodrigues_indexed(plane_normal,hkl)

%plane_normal = list of plane normals in sample coords
% for caase where reflections have been indexed - ie (0 2 -2) 
% rather than {2 2 0}
%hkl a vector of reflections  [1 -1 1; 0 0 2; -2 2 0 etc]

save_plot=[];
figure;
hold on;

for j=1:size(plane_normal,1)

%________calculate h vector___________
%from eq (3.7) in Poulsen
%B is identity matrix in cubic material
%gtnewGetReflections returns matrix of all reflections related by symmetry
%to hkl, using Riso GetCubicSymOp.m


h = hkl(j,:); 
h = h./(sqrt(h*h'));

%________calculate y vector___________
% y is the normalised scattering vector in sample system
% == plane normal
y = plane_normal(j,:);


%_____calculate rodrigues space vector_____
%formulae (3.16), (3.17) in Poulsen

r_zero = cross(h,y)./(1+(dot(h,y)));
r_direction = (h + y)./(1+(dot(h,y)));

%max line length needed ~1.5, say +-1.5 for saftey
t=(-1.5:0.01:1.5)';
r_plot = repmat(r_zero,length(t),1) + (t*r_direction);

%remove everything outside of a fundamental region (assume cube)
lim=sqrt(2)-1;
for i=1:3
dummy=find(r_plot(:,i)<-lim | r_plot(:,i)>lim);
r_plot(dummy,:)=[];
end

%collect all plot data for analysis
save_plot=[save_plot; r_plot];



%____plot______
  if hkl(j,:)*hkl(j,:)'==[1 1 1]*[1 1 1]' %(111) - red
  plot3(r_plot(:,1),r_plot(:,2),r_plot(:,3),'r');
  
  elseif hkl(j,:)*hkl(j,:)'==[0 0 2]*[0 0 2]' %(002) - blue
  plot3(r_plot(:,1),r_plot(:,2),r_plot(:,3),'b');

  elseif hkl(j,:)*hkl(j,:)'==[2 2 0]*[2 2 0]' %(220)  - green
  plot3(r_plot(:,1),r_plot(:,2),r_plot(:,3),'g');

  elseif hkl(j,:)*hkl(j,:)'==[3 1 1]*[3 1 1]' %(311)   -  black
  plot3(r_plot(:,1),r_plot(:,2),r_plot(:,3),'k');

  end

%uncomment this to see line by line in rodrigues space.
%k=waitforbuttonpress %can watch as each is plotted in turn

end%loop through all normals

axis equal


%find intersections

inc=0.04;%scan space in these steps (size of the sampling element)
max_score=0;
max_coords=[0 0 0];
score=[];
count=1;
for i=-lim:inc:lim
for j=-lim:inc:lim
for k=-lim:inc:lim
  
dummy = find(save_plot(:,1)>i & save_plot(:,1)<(i+inc) &save_plot(:,2)>j & save_plot(:,2)<(j+inc) &save_plot(:,3)>k & save_plot(:,3)<(k+inc));
score(count)=length(dummy);
if (score(count)>max_score)
  max_score=score;
  max_coords=[i j k];
end

count=count+1;
end
end
end

max_score;
max_coords;
element = inc*[0 0 0; 0 0 1; 0 1 0; 0 1 1; 1 0 0; 1 0 1; 1 1 0; 1 1 1];
max_element = repmat(max_coords,8,1)+element;
max_coords = max_coords+0.5*[inc inc inc];%this is the approximate solution

plot3(max_element(:,1),max_element(:,2),max_element(:,3),'go')
plot3(max_coords(:,1),max_coords(:,2),max_coords(:,3),'co')






